<?php

namespace Mnv\Admin\Controllers;

use Mnv\Core\AdminMnv;

/**
 * Class StatsErrorCodeSelector
 * @package Mnv\Admin\Controllers
 */
class StatsErrorCodeSelector
{
    public int $filterErrorCode;

    private array $filterErrorCodeOptions = array();

    public function __construct()
    {

        $this->filterErrorCode = (int) request('filterErrorCode');

        $this->filterErrorCodeOptions[0] = lang('stats:allCodes');
        $this->filterErrorCodeOptions[404] = '404';
        $this->filterErrorCodeOptions[503] = '503';
        $this->filterErrorCodeOptions[301] = '301';

    }

    public function get(): array
    {
        return $this->filterErrorCodeOptions;
    }
}


